---
title: llarp::dht::Bucket::SetIntersector

---

# llarp::dht::Bucket::SetIntersector





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator()](Classes/structllarp_1_1dht_1_1Bucket_1_1SetIntersector.md#function-operator())**(const typename BucketStorage_t::value_type & lhs, const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & rhs) |
| bool | **[operator()](Classes/structllarp_1_1dht_1_1Bucket_1_1SetIntersector.md#function-operator())**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & lhs, const typename BucketStorage_t::value_type & rhs) |

## Public Functions Documentation

### function operator()

```cpp
inline bool operator()(
    const typename BucketStorage_t::value_type & lhs,
    const Key_t & rhs
)
```


### function operator()

```cpp
inline bool operator()(
    const Key_t & lhs,
    const typename BucketStorage_t::value_type & rhs
)
```


-------------------------------

Updated on 2023-01-27 at 23:09:26 +0000